
From: Maximilian Attems <janitor@sternwelten.at>

ppc4xx_dma.h defines PPC4xx_DMA_64BIT.

Signed-off-by: Domen Puncer <domen@coderock.org>
Acked-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/syslib/ppc4xx_dma.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc/syslib/ppc4xx_dma.c~ifdef-typos-arch_ppc_syslib_ppc4xx_dmac arch/ppc/syslib/ppc4xx_dma.c
--- 25/arch/ppc/syslib/ppc4xx_dma.c~ifdef-typos-arch_ppc_syslib_ppc4xx_dmac	2004-12-01 22:37:15.901906824 -0800
+++ 25-akpm/arch/ppc/syslib/ppc4xx_dma.c	2004-12-01 22:37:15.905906216 -0800
@@ -48,7 +48,7 @@ ppc4xx_set_src_addr(int dmanr, phys_addr
 		return;
 	}
 
-#ifdef PPC4xx_DMA64BIT
+#ifdef PPC4xx_DMA_64BIT
 	mtdcr(DCRN_DMASAH0 + dmanr*2, (u32)(src_addr >> 32));
 #else
 	mtdcr(DCRN_DMASA0 + dmanr*2, (u32)src_addr);
@@ -63,7 +63,7 @@ ppc4xx_set_dst_addr(int dmanr, phys_addr
 		return;
 	}
 
-#ifdef PPC4xx_DMA64BIT
+#ifdef PPC4xx_DMA_64BIT
 	mtdcr(DCRN_DMADAH0 + dmanr*2, (u32)(dst_addr >> 32));
 #else
 	mtdcr(DCRN_DMADA0 + dmanr*2, (u32)dst_addr);
_
